Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine
Class SelectionRule

    java.lang.Object
      com.bea.commerce.ebusiness.price.engine.SelectionRule

Deprecated

    @Deprecated
    public class SelectionRule

extends Object

Field Summary
`static String` | `cName` Deprecated
`static int` | `LONG` Deprecated
`static int` | `SHORT` Deprecated

Constructor Summary
`SelectionRule(QualificationDiscountId id, DiscountRule ruleXML, RuleType type, List qualifierSpecs, List targetSpecs)` Deprecated Use this constructor if the qualifier is NOT set based
`SelectionRule(QualificationDiscountId id, DiscountRule ruleXML, RuleType type, List qualifierSpecs, List targetSpecs, int setLimit)` Deprecated Use this constructor if the qualifier is set based

Method Summary
`boolean` | `eachQualifier()` Deprecated
`QualificationDiscountId` | `getID()` Deprecated
`List` | `getQualifierSpecs()` Deprecated valid for order rules only
`DiscountRule` | `getRule()` Deprecated
`String` | `getRuleString()` Deprecated
`int` | `getSetLimit()` Deprecated valid for item rules only
`List` | `getTargetSpecs()` Deprecated
`RuleType` | `getType()` Deprecated
`boolean` | `isSet()` Deprecated valid for item rules only
`String` | `toString()` Deprecated
`String` | `toString(int control)` Deprecated

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cName

    public static final String cName

  Deprecated
  See Also
    Constants Summary

### SHORT

    public static final int SHORT

  Deprecated
  See Also
    Constants Summary

### LONG

    public static final int LONG

  Deprecated
  See Also
    Constants Summary

Constructor Detail

### SelectionRule

    public SelectionRule(QualificationDiscountId id,
                         DiscountRule ruleXML,
                         RuleType type,
                         List qualifierSpecs,
                         List targetSpecs)

  Deprecated
  Use this constructor if the qualifier is NOT set based

### SelectionRule

    public SelectionRule(QualificationDiscountId id,
                         DiscountRule ruleXML,
                         RuleType type,
                         List qualifierSpecs,
                         List targetSpecs,
                         int setLimit)

  Deprecated
  Use this constructor if the qualifier is set based

Method Detail

### getType

    public RuleType getType()

  Deprecated

### eachQualifier

    public boolean eachQualifier()

  Deprecated

### getSetLimit

    public int getSetLimit()

  Deprecated
  valid for item rules only

### isSet

    public boolean isSet()

  Deprecated
  valid for item rules only

### getQualifierSpecs

    public List getQualifierSpecs()

  Deprecated
  valid for order rules only

### getTargetSpecs

    public List getTargetSpecs()

  Deprecated

### getID

    public QualificationDiscountId getID()

  Deprecated

### getRule

    public DiscountRule getRule()

  Deprecated

### getRuleString

    public String getRuleString()

  Deprecated

### toString

    public String toString()

  Deprecated
  Overrides:
    `toString` in class `Object`

### toString

    public String toString(int control)

  Deprecated

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.